
QGIS Application - Bug report #10392

Ellipsoid for measurement keeps getting reset

2014-05-29 11:19 AM - Antonio Locandro

Status: Closed

Priority: Severe/Regression

Assignee: Martin Dobias

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18809

Description

In the General Tab if you change the Ellipsoid to Airy 1830 press apply then Ok, then you select WGS 84 and press apply then OK when

you open it again it shows Clarke 1866 so it isn't honoring selection

Related issues:

Related to QGIS Application - Bug report # 9060: Area is wrong in QGIS master... Closed 2013-11-13

Related to QGIS Application - Bug report # 19902: Advanced Digitizing tool NO... Closed 2018-09-20

Associated revisions

Revision aa09c8cb - 2014-06-16 10:02 AM - Martin Dobias

Fix #10392 (ellipsoid for measurement keep getting reset)

Revision c5b5eee1 - 2015-01-01 04:56 AM - Nathan Woodrow

Fix #10392 Fix #11713 - Fix selection of ellipsoide when opening project properties

History

#1 - 2014-05-30 04:41 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

- Target version changed from Future Release - High Priority to Version 2.4

- Affected QGIS version changed from 2.2.0 to master

and this does not happen in qgis 1.8, so tagging as a regression.

#2 - 2014-05-30 12:57 PM - Jürgen Fischer

- Category set to Vectors

#3 - 2014-06-09 02:49 AM - Martin Dobias

This is a part of bigger problem with the project properties dialog - see #9060.

The ellipsoid is automatically updated in project properties from the currently selected projection.

Actually, if you set Airy as the ellipsoid, it will be used for the measuring. When the project properties dialog is opened again, the currently selected

destination CRS will override the ellipsoid (but this new setting will not be used unless you click OK/Apply).
I am not sure if this is worth fixing as the whole logic needs an overhaul (and the fix does not seem to be trivial).

#4 - 2014-06-09 05:37 AM - Giovanni Manghi

Actually, if you set Airy as the ellipsoid, it will be used for the measuring. When the project properties dialog is opened again, the currently selected

destination CRS will override the ellipsoid (but this new setting will not be used unless you click OK/Apply).

I recently had to do very precise measures to be shown by a client in a court. I had to constantly check what the ellipsoid qgis configured  to be sure I

wasn't measuring areas (that had to be compared) with different ellipsoids. Seems a serious issue to me that should be addressed as soon as possible.

#5 - 2014-06-10 06:45 AM - Martin Dobias

- Subject changed from Measure Tool Ellipsoid to Ellipsoid for measurement keeps getting reset

#6 - 2014-06-16 12:46 AM - Martin Dobias

- Assignee set to Martin Dobias

#7 - 2014-06-16 01:03 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"aa09c8cbe651a39abb26e5c2d39021c034d1280e".

#8 - 2014-12-18 11:54 PM - Paolo Cavallini

- Status changed from Closed to Reopened

- Target version changed from Version 2.4 to Version 2.8

Still true. It seems to happen only if you open project properties from menu. When project properties open using CRS selector in bottom right corner of the

QGIS main window it works as expected. Also switching from CRS tab to any other tab and back also fixes dispalying of wrong values.

Thanks Alex and Giovanni for clarifications.

#9 - 2014-12-31 07:57 PM - Nathan Woodrow

- Status changed from Reopened to Closed

Fixed in changeset commit:"c5b5eee183dbc690767cce2ad4cda5b06d328f8d".

#10 - 2018-09-21 12:17 PM - Jürgen Fischer

- Related to Bug report #19902: Advanced Digitizing tool NOT aligned with measurement tool added
